com.rscja.deviceapi

## Class FingerprintWithTLK1NC

- java.lang.Object
- - com.rscja.deviceapi.FingerprintWithTLK1NC

- All Implemented Interfaces:
    IFingerprintWithTLK1NC

      public class FingerprintWithTLK1NC
      extends java.lang.Object
      implements IFingerprintWithTLK1NC

  迪安杰
  Author:
    Administrator

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FingerprintWithTLK1NC.BufferEnum` 模块缓冲区枚举 Module buffer zone example.
    `static interface` | `FingerprintWithTLK1NC.IUPImageCallback` 指纹图像回调接口 fingerprint image call-back contact

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `STATUS_FAILURE`
    `int` | `STATUS_SUCCESS`
    `int` | `STATUS_TIMEOUT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `fingerCLEARTemplate()` 清空FLASH中指纹模板
    `boolean` | `fingerCLEARTemplateBuffer()` 清空指纹特征缓冲区
    `boolean` | `fingerDELTemplateBufferID(FingerprintWithTLK1NC.BufferEnum BufferID)` 删除内存中指定的模板
    `boolean` | `fingerDELTemplatePageID(int PageID)` 删除FLASH中指定的模板
    `boolean` | `fingerDOWNTemplateToBuffer(FingerprintWithTLK1NC.BufferEnum BufferID, byte[] templateData)` 下载指纹特征到指定的特征缓冲区中
    `boolean` | `fingerDOWNTemplateToFlashPage(int PageID, byte[] templateData)` 下载指纹特征到指定的Flash Page中
    `int` | `fingerGETImage()` 从采集器采集指纹图像并保存于 ImageBuffer 中
    `int` | `fingerGETTemplateCount()` 获取可存储的指纹模板数
    `boolean` | `fingerPKTemplate(int PageID, FingerprintWithTLK1NC.BufferEnum BufferID)` 精确比对指定特征缓冲区和指定的Flash Page中特征
    `boolean` | `fingerPKTemplate2(FingerprintWithTLK1NC.BufferEnum BufferID, int PageID)` 精确比对指定特征缓冲区和指定的Flash Page中特征
    `boolean` | `fingerPKTemplateBuffer(FingerprintWithTLK1NC.BufferEnum BufferID1, FingerprintWithTLK1NC.BufferEnum BufferID2)` 精确比对指定特征缓冲区中特征
    `boolean` | `fingerPKTemplatePage(int PageID1, int PageID2)` 精确比对指定Flash Page中特征
    `int` | `fingerSearchTemplate(FingerprintWithTLK1NC.BufferEnum BufferID, int templateIdStart, int templateIdEnd)` 下载一个特征到指定特征缓冲区，然后用此特征搜索指纹库中的模板
    `boolean` | `fingerStoreCharToBuffer(FingerprintWithTLK1NC.BufferEnum BufferID)` 生成指纹特征，存储在指定特征缓冲区
    `boolean` | `fingerStoreCharToFlashPage(int PageID)` 生成指纹特征，存储在Flash Page
    `byte[]` | `fingerUPTemplateFromBuffer(FingerprintWithTLK1NC.BufferEnum BufferID)` 上传指纹特征值，将指定缓冲区中的特征值上传到上位机
    `byte[]` | `fingerUPTemplateFromFlashPage(int PageID)` 上传指纹特征值，将指定Flash Page中的特征值上传到上位机
    `boolean` | `free()`
    `boolean` | `generateImg(byte[] data, java.lang.String filePath)`
    `static FingerprintWithTLK1NC` | `getInstance()`
    `static java.lang.String` | `getStatusMsg(int status)`
    `java.lang.String` | `getVersion()` 获取模块的设备信息
    `boolean` | `init()`
    `void` | `startUPImage(FingerprintWithTLK1NC.IUPImageCallback callBack)` // * @param timeOut timeOut (unit:millisecond)

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STATUS_SUCCESS

          public int STATUS_SUCCESS

    - #### STATUS_FAILURE

          public int STATUS_FAILURE

    - #### STATUS_TIMEOUT

          public int STATUS_TIMEOUT

  - ### Method Detail

    - #### getInstance

          public static FingerprintWithTLK1NC getInstance()
                                                   throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### init

          public boolean init()

      Specified by:
        `init` in interface `IFingerprintWithTLK1NC`

    - #### free

          public boolean free()

      Specified by:
        `free` in interface `IFingerprintWithTLK1NC`

    - #### fingerGETImage

          public int fingerGETImage()

      从采集器采集指纹图像并保存于 ImageBuffer 中
      Specified by:
        `fingerGETImage` in interface `IFingerprintWithTLK1NC`
      Returns:
        返回-1，错误 ，返回非负数： 指纹图像质量评分, 范围：0~100

    - #### fingerStoreCharToBuffer

          public boolean fingerStoreCharToBuffer(FingerprintWithTLK1NC.BufferEnum BufferID)

      生成指纹特征，存储在指定特征缓冲区
      Specified by:
        `fingerStoreCharToBuffer` in interface `IFingerprintWithTLK1NC`
      Parameters:
        `BufferID` - 缓冲区ID
      Returns:
        true:成功 false:失败

    - #### fingerStoreCharToFlashPage

          public boolean fingerStoreCharToFlashPage(int PageID)

      生成指纹特征，存储在Flash Page
      Specified by:
        `fingerStoreCharToFlashPage` in interface `IFingerprintWithTLK1NC`
      Parameters:
        `PageID` - Flash Page ID (0~127)
      Returns:
        true:成功 false:失败

    - #### fingerUPTemplateFromBuffer

          public byte[] fingerUPTemplateFromBuffer(FingerprintWithTLK1NC.BufferEnum BufferID)

      上传指纹特征值，将指定缓冲区中的特征值上传到上位机
      Specified by:
        `fingerUPTemplateFromBuffer` in interface `IFingerprintWithTLK1NC`
      Parameters:
        `BufferID` -
      Returns:
        返回指纹模板数据

    - #### fingerUPTemplateFromFlashPage

          public byte[] fingerUPTemplateFromFlashPage(int PageID)

      上传指纹特征值，将指定Flash Page中的特征值上传到上位机
      Specified by:
        `fingerUPTemplateFromFlashPage` in interface `IFingerprintWithTLK1NC`
      Parameters:
        `PageID` - PageID(0~127)
      Returns:
        返回指纹模板数据

    - #### fingerDOWNTemplateToFlashPage

          public boolean fingerDOWNTemplateToFlashPage(int PageID,
                                                       byte[] templateData)

      下载指纹特征到指定的Flash Page中
      Specified by:
        `fingerDOWNTemplateToFlashPage` in interface `IFingerprintWithTLK1NC`
      Parameters:
        `PageID` - PageID(0~127)
        `templateData` - 模板数据
      Returns:
        true:成功 false:失败

    - #### fingerDOWNTemplateToBuffer

          public boolean fingerDOWNTemplateToBuffer(FingerprintWithTLK1NC.BufferEnum BufferID,
                                                    byte[] templateData)

      下载指纹特征到指定的特征缓冲区中
      Specified by:
        `fingerDOWNTemplateToBuffer` in interface `IFingerprintWithTLK1NC`
      Parameters:
        `BufferID` -
        `templateData` - 模板数据
      Returns:
        true:成功 false:失败

    - #### fingerPKTemplateBuffer

          public boolean fingerPKTemplateBuffer(FingerprintWithTLK1NC.BufferEnum BufferID1,
                                                FingerprintWithTLK1NC.BufferEnum BufferID2)

      精确比对指定特征缓冲区中特征
      Specified by:
        `fingerPKTemplateBuffer` in interface `IFingerprintWithTLK1NC`
      Parameters:
        `BufferID1` -
        `BufferID2` -
      Returns:
        true:成功 false:失败

    - #### fingerPKTemplatePage

          public boolean fingerPKTemplatePage(int PageID1,
                                              int PageID2)

      精确比对指定Flash Page中特征
      Specified by:
        `fingerPKTemplatePage` in interface `IFingerprintWithTLK1NC`
      Parameters:
        `PageID1` -
        `PageID2` -
      Returns:
        true:成功 false:失败

    - #### fingerPKTemplate

          public boolean fingerPKTemplate(int PageID,
                                          FingerprintWithTLK1NC.BufferEnum BufferID)

      精确比对指定特征缓冲区和指定的Flash Page中特征
      Specified by:
        `fingerPKTemplate` in interface `IFingerprintWithTLK1NC`
      Parameters:
        `PageID` -
        `BufferID` -
      Returns:
        true:成功 false:失败

    - #### fingerPKTemplate2

          public boolean fingerPKTemplate2(FingerprintWithTLK1NC.BufferEnum BufferID,
                                           int PageID)

      精确比对指定特征缓冲区和指定的Flash Page中特征
      Specified by:
        `fingerPKTemplate2` in interface `IFingerprintWithTLK1NC`
      Parameters:
        `PageID` -
        `BufferID` -
      Returns:
        true:成功 false:失败

    - #### fingerSearchTemplate

          public int fingerSearchTemplate(FingerprintWithTLK1NC.BufferEnum BufferID,
                                          int templateIdStart,
                                          int templateIdEnd)

      下载一个特征到指定特征缓冲区，然后用此特征搜索指纹库中的模板
      Specified by:
        `fingerSearchTemplate` in interface `IFingerprintWithTLK1NC`
      Parameters:
        `BufferID` - Buffer id
        `templateIdStart` - 待搜索的起始 Template编号
        `templateIdEnd` - 待搜索的结束 Template编号
      Returns:
        返回模板编号

    - #### fingerDELTemplateBufferID

          public boolean fingerDELTemplateBufferID(FingerprintWithTLK1NC.BufferEnum BufferID)

      删除内存中指定的模板
      Specified by:
        `fingerDELTemplateBufferID` in interface `IFingerprintWithTLK1NC`
      Parameters:
        `BufferID` -
      Returns:
        返回指纹模板数据

    - #### fingerDELTemplatePageID

          public boolean fingerDELTemplatePageID(int PageID)

      删除FLASH中指定的模板
      Specified by:
        `fingerDELTemplatePageID` in interface `IFingerprintWithTLK1NC`
      Parameters:
        `PageID` - PageID(0~127)
      Returns:
        返回指纹模板数据

    - #### fingerCLEARTemplate

          public boolean fingerCLEARTemplate()

      清空FLASH中指纹模板
      Specified by:
        `fingerCLEARTemplate` in interface `IFingerprintWithTLK1NC`
      Returns:

    - #### fingerCLEARTemplateBuffer

          public boolean fingerCLEARTemplateBuffer()

      清空指纹特征缓冲区
      Specified by:
        `fingerCLEARTemplateBuffer` in interface `IFingerprintWithTLK1NC`
      Returns:

    - #### fingerGETTemplateCount

          public int fingerGETTemplateCount()

      获取可存储的指纹模板数
      Specified by:
        `fingerGETTemplateCount` in interface `IFingerprintWithTLK1NC`
      Returns:

    - #### generateImg

          public boolean generateImg(byte[] data,
                                     java.lang.String filePath)

      Specified by:
        `generateImg` in interface `IFingerprintWithTLK1NC`

    - #### startUPImage

          public void startUPImage(FingerprintWithTLK1NC.IUPImageCallback callBack)

      // * @param timeOut timeOut (unit:millisecond)
      Specified by:
        `startUPImage` in interface `IFingerprintWithTLK1NC`

    - #### getStatusMsg

          public static java.lang.String getStatusMsg(int status)

    - #### getVersion

          public java.lang.String getVersion()

      获取模块的设备信息
      Specified by:
        `getVersion` in interface `IFingerprintWithTLK1NC`
      Returns:
        返回模块的设备信息